aboutsummaryrefslogtreecommitdiff
path: root/aux
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-06-16 23:15:17 -0300
committerEuAndreh <eu@euandre.org>2021-06-16 23:15:17 -0300
commitd1617af6d665f9373a89de4c030e51da8ecf162e (patch)
tree66426b6eb66548c9b2529de1d0abd3064af0dc59 /aux
parente3c0340ff5d563d560325d66b4257fe1eeb6724d (diff)
downloadpackage-repository-d1617af6d665f9373a89de4c030e51da8ecf162e.tar.gz
aux/assert-nixfmt.sh: Add back
Diffstat (limited to 'aux')
-rwxr-xr-xaux/assert-nixfmt.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/aux/assert-nixfmt.sh b/aux/assert-nixfmt.sh
new file mode 100755
index 0000000..19bd0a2
--- /dev/null
+++ b/aux/assert-nixfmt.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -eux
+
+# shellcheck disable=2016
+find . -type f -name '*.nix' -print0 | xargs -0 -I{} sh -c '
+ nixfmt < "$1" | diff - "$1" || {
+ echo "The file \"$1\" is unformatted. To fix it, run:"
+ echo " nixfmt $1"
+ exit 1
+ }
+' _ {} \;